Acme Certificates
Alle Operationen rund um Acme Certificates.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| ACME Certificate | acme_certificate |
14 | — | domain_acme |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/acme_certificates |
Create acme_certificate | Create a new acme_certificate in the active tenant. |
DELETE |
/v1/acme_certificates/{id} |
Delete acme_certificate | Soft delete entity. |
GET |
/v1/acme_certificates/{id} |
Get acme_certificate by id | Fetch a single acme_certificate. |
GET |
/v1/acme_certificates/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/acme_certificates/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/acme_certificates/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/acme_certificates |
List acme_certificates | List acme_certificates for the active tenant. |
PATCH |
/v1/acme_certificates/{id} |
Patch acme_certificate | JSON Merge Patch update. |
POST |
/v1/acme_certificates/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/acme_certificates/{id}/transition |
POST /v1/acme_certificates/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/acme_certificates/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/acme_certificates/{id} |
Replace acme_certificate | Full replace with optimistic locking. |